Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5099)
@@ -1271,862 +1235,834 @@
 #endif
 
-  
-
-
-  ijulday=jD_cur-jD_1jan+1
-  nbjour = 1
-
-  paramname_ind='ind'
-  paramname_bb='bb'
-  paramname_ff='ind'
-  paramname_dustacc='dustacc'
-  paramname_dustcoa='dustcoasco'
-  paramname_dustsco='dustcoasco'
-!  paramname_dustacc='dust'
-!  paramname_dustcoa='dust'
-!  paramname_dustsco='dust'
-  paramname_wstarBL='pwstarbl'
-  paramname_wstarWAKE='pwstarwake'
-  paramname_ssacc='ssacc'
-  paramname_sscoa='sscoa'
-
-  filescaleparams='modvalues.nc'
-!AS: debranchage de lecture des coefs d'assmilation de Jeronimo Escribano
-  IF("ASSIM"=="YES") THEN
-    CALL readscaleparamsnc_spl(scale_param_ind,                        &
-        nbreg_ind, paramname_ind,                                    &
-        scale_param_ff, nbreg_ind,paramname_ff,                      &
-        scale_param_bb, nbreg_bb,paramname_bb,                       &
-        scale_param_dustacc, nbreg_dust,paramname_dustacc,           &
-        scale_param_dustcoa, nbreg_dust,paramname_dustcoa,           &
-        scale_param_dustsco, nbreg_dust,paramname_dustsco,           &
-        param_wstarBLperregion, nbreg_wstardust, paramname_wstarBL, &
-        param_wstarWAKEperregion, nbreg_wstardust, paramname_wstarWAKE, &
-        scale_param_ssacc  ,  paramname_ssacc,                    &
-        scale_param_sscoa  ,  paramname_sscoa,                    &
-           filescaleparams,ijulday,jH_cur, pdtphys,debutphy)
-  ENDIF ! ASSIM
-!AS: le commentaire suivant "add seasalt" ne semble pas avoir ete mis en pratique.
-! Des fichiers regions_ssacc et _sscoa existent mais ne semblent pas lus.
-! Ca reste donc aux valeurs initialisées: nbreg_ss=1, scale_param_ss*=1, cf fichiers ss et modvalues
-!! add seasalt
-
-  print *,'JE : check scale_params'
-
-  print *, 'nbreg_ind', nbreg_ind   
-  print *, 'nbreg_dust', nbreg_dust  
-  print *, 'nbreg_bb', nbreg_bb   
-  print *, 'ind', scale_param_ind   
-  print *, 'dustacc', scale_param_dustacc  
-  print *, 'dustcoa', scale_param_dustcoa  
-  print *, 'dustsco', scale_param_dustsco
-  print *, 'wstardustBL', param_wstarBLperregion
-  print *, 'wstardustWAKE', param_wstarWAKEperregion
-  print *, 'ff', scale_param_ff  
-  print *, 'bb', scale_param_bb  
-  print *, 'ssacc', scale_param_ssacc
-  print *, 'sscoa', scale_param_sscoa
-
-  print *,'JE: before read_newemissions '
-  print *,'JE: jD_cur:',jD_cur,' ijulday:',ijulday,' jH_cur:',jH_cur,' pdtphys:',pdtphys
-  print *,'JE: now read_newemissions:'
-!AS: La ligne suivante fait planter a l'execution : lmt_so2ff_l pas initialise
-!  print *,'lmt_so2ff_l AVANT' , MINVAL(lmt_so2ff_l), MAXVAL(lmt_so2ff_l)
-  call read_newemissions(ijulday,jH_cur ,edgar, flag_dms,debutphy, & !I
-                         pdtphys, lafin, nbjour, pctsrf,  &       !I
-                         t_seri, rlat, rlon, &                         !I
-                         pmflxr, pmflxs, prfl, psfl, &            !I
-                                 u10m_ec, v10m_ec, dust_ec, &     !O
-                                 lmt_sea_salt, lmt_so2ff_l, &     !O
-                                 lmt_so2ff_h, lmt_so2nff, &       !O
-                                 lmt_so2ba, lmt_so2bb_l, lmt_so2bb_h, &  !O
-                                 lmt_so2volc_cont, lmt_altvolc_cont, &   !O
-                                 lmt_so2volc_expl, lmt_altvolc_expl, &   !O
-                                 lmt_dmsbio, lmt_h2sbio, lmt_dmsconc, &  !O
-                                 lmt_bcff, lmt_bcnff, lmt_bcbb_l, &      !O
-                                 lmt_bcbb_h, lmt_bcba, lmt_omff, &       !O
-                                 lmt_omnff, lmt_ombb_l, lmt_ombb_h, &    !O
-                                 lmt_omnat, lmt_omba)                    !O
-
-
-  print *,'Check emissions'
-  print *,'lmt_so2ff_l' , MINVAL(lmt_so2ff_l), MAXVAL(lmt_so2ff_l)
-  print *,'lmt_so2ff_h' , MINVAL(lmt_so2ff_h), MAXVAL(lmt_so2ff_h)
-  print *,'lmt_so2nff' , MINVAL(lmt_so2nff), MAXVAL(lmt_so2nff)
-  print *,'lmt_so2ba' , MINVAL(lmt_so2ba), MAXVAL(lmt_so2ba)
-  print *,'lmt_so2bb_l' , MINVAL(lmt_so2bb_l), MAXVAL(lmt_so2bb_l)
-  print *,'lmt_so2bb_h' , MINVAL(lmt_so2bb_h), MAXVAL(lmt_so2bb_h)
-  print *,'lmt_so2volc_cont' , MINVAL(lmt_so2volc_cont), MAXVAL(lmt_so2volc_cont)
-  print *,'lmt_altvolc_cont' , MINVAL(lmt_altvolc_cont), MAXVAL(lmt_altvolc_cont)
-  print *,'lmt_so2volc_expl' , MINVAL(lmt_so2volc_expl), MAXVAL(lmt_so2volc_expl)
-  print *,'lmt_altvolc_expl' , MINVAL(lmt_altvolc_expl), MAXVAL(lmt_altvolc_expl)
-  print *,'lmt_dmsbio' , MINVAL(lmt_dmsbio), MAXVAL(lmt_dmsbio)
-  print *,'lmt_h2sbio' , MINVAL(lmt_h2sbio), MAXVAL(lmt_h2sbio)
-  print *,'lmt_dmsconc' , MINVAL(lmt_dmsconc), MAXVAL(lmt_dmsconc)
-  print *,'lmt_bcff' , MINVAL(lmt_bcff), MAXVAL(lmt_bcff)
-  print *,'lmt_bcnff' , MINVAL(lmt_bcnff), MAXVAL(lmt_bcnff)
-  print *,'lmt_bcbb_l' , MINVAL(lmt_bcbb_l), MAXVAL(lmt_bcbb_l)
-  print *,'lmt_bcbb_h' , MINVAL(lmt_bcbb_h), MAXVAL(lmt_bcbb_h)
-  print *,'lmt_bcba' , MINVAL(lmt_bcba), MAXVAL(lmt_bcba)
-  print *,'lmt_omff' , MINVAL(lmt_omff), MAXVAL(lmt_omff)
-  print *,'lmt_omnff' , MINVAL(lmt_omnff), MAXVAL(lmt_omnff)
-  print *,'lmt_ombb_l' , MINVAL(lmt_ombb_l), MAXVAL(lmt_ombb_l)
-  print *,'lmt_ombb_h' , MINVAL(lmt_ombb_h), MAXVAL(lmt_ombb_h)
-  print *,'lmt_omnat' , MINVAL(lmt_omnat), MAXVAL(lmt_omnat)
-  print *,'lmt_omba' , MINVAL(lmt_omba), MAXVAL(lmt_omba)
-  print *,'JE iflag_con',iflag_conv
-
-
-!JE_dbg
-   do i=1,klon
-      tsol(i)=0.0
-      do j=1,nbsrf
-          tsol(i)=tsol(i)+ftsol(i,j)*pctsrf(i,j)
+
+
+
+    ijulday = jD_cur - jD_1jan + 1
+    nbjour = 1
+
+    paramname_ind = 'ind'
+    paramname_bb = 'bb'
+    paramname_ff = 'ind'
+    paramname_dustacc = 'dustacc'
+    paramname_dustcoa = 'dustcoasco'
+    paramname_dustsco = 'dustcoasco'
+    !  paramname_dustacc='dust'
+    !  paramname_dustcoa='dust'
+    !  paramname_dustsco='dust'
+    paramname_wstarBL = 'pwstarbl'
+    paramname_wstarWAKE = 'pwstarwake'
+    paramname_ssacc = 'ssacc'
+    paramname_sscoa = 'sscoa'
+
+    filescaleparams = 'modvalues.nc'
+    !AS: debranchage de lecture des coefs d'assmilation de Jeronimo Escribano
+    IF("ASSIM"=="YES") THEN
+      CALL readscaleparamsnc_spl(scale_param_ind, &
+              nbreg_ind, paramname_ind, &
+              scale_param_ff, nbreg_ind, paramname_ff, &
+              scale_param_bb, nbreg_bb, paramname_bb, &
+              scale_param_dustacc, nbreg_dust, paramname_dustacc, &
+              scale_param_dustcoa, nbreg_dust, paramname_dustcoa, &
+              scale_param_dustsco, nbreg_dust, paramname_dustsco, &
+              param_wstarBLperregion, nbreg_wstardust, paramname_wstarBL, &
+              param_wstarWAKEperregion, nbreg_wstardust, paramname_wstarWAKE, &
+              scale_param_ssacc, paramname_ssacc, &
+              scale_param_sscoa, paramname_sscoa, &
+              filescaleparams, ijulday, jH_cur, pdtphys, debutphy)
+    ENDIF ! ASSIM
+    !AS: le commentaire suivant "add seasalt" ne semble pas avoir ete mis en pratique.
+    ! Des fichiers regions_ssacc et _sscoa existent mais ne semblent pas lus.
+    ! Ca reste donc aux valeurs initialisées: nbreg_ss=1, scale_param_ss*=1, cf fichiers ss et modvalues
+    !! add seasalt
+
+    print *, 'JE : check scale_params'
+
+    print *, 'nbreg_ind', nbreg_ind
+    print *, 'nbreg_dust', nbreg_dust
+    print *, 'nbreg_bb', nbreg_bb
+    print *, 'ind', scale_param_ind
+    print *, 'dustacc', scale_param_dustacc
+    print *, 'dustcoa', scale_param_dustcoa
+    print *, 'dustsco', scale_param_dustsco
+    print *, 'wstardustBL', param_wstarBLperregion
+    print *, 'wstardustWAKE', param_wstarWAKEperregion
+    print *, 'ff', scale_param_ff
+    print *, 'bb', scale_param_bb
+    print *, 'ssacc', scale_param_ssacc
+    print *, 'sscoa', scale_param_sscoa
+
+    print *, 'JE: before read_newemissions '
+    print *, 'JE: jD_cur:', jD_cur, ' ijulday:', ijulday, ' jH_cur:', jH_cur, ' pdtphys:', pdtphys
+    print *, 'JE: now read_newemissions:'
+    !AS: La ligne suivante fait planter a l'execution : lmt_so2ff_l pas initialise
+    !  print *,'lmt_so2ff_l AVANT' , MINVAL(lmt_so2ff_l), MAXVAL(lmt_so2ff_l)
+    call read_newemissions(ijulday, jH_cur, edgar, flag_dms, debutphy, & !I
+            pdtphys, lafin, nbjour, pctsrf, &       !I
+            t_seri, rlat, rlon, &                         !I
+            pmflxr, pmflxs, prfl, psfl, &            !I
+            u10m_ec, v10m_ec, dust_ec, &     !O
+            lmt_sea_salt, lmt_so2ff_l, &     !O
+            lmt_so2ff_h, lmt_so2nff, &       !O
+            lmt_so2ba, lmt_so2bb_l, lmt_so2bb_h, &  !O
+            lmt_so2volc_cont, lmt_altvolc_cont, &   !O
+            lmt_so2volc_expl, lmt_altvolc_expl, &   !O
+            lmt_dmsbio, lmt_h2sbio, lmt_dmsconc, &  !O
+            lmt_bcff, lmt_bcnff, lmt_bcbb_l, &      !O
+            lmt_bcbb_h, lmt_bcba, lmt_omff, &       !O
+            lmt_omnff, lmt_ombb_l, lmt_ombb_h, &    !O
+            lmt_omnat, lmt_omba)                    !O
+
+    print *, 'Check emissions'
+    print *, 'lmt_so2ff_l', MINVAL(lmt_so2ff_l), MAXVAL(lmt_so2ff_l)
+    print *, 'lmt_so2ff_h', MINVAL(lmt_so2ff_h), MAXVAL(lmt_so2ff_h)
+    print *, 'lmt_so2nff', MINVAL(lmt_so2nff), MAXVAL(lmt_so2nff)
+    print *, 'lmt_so2ba', MINVAL(lmt_so2ba), MAXVAL(lmt_so2ba)
+    print *, 'lmt_so2bb_l', MINVAL(lmt_so2bb_l), MAXVAL(lmt_so2bb_l)
+    print *, 'lmt_so2bb_h', MINVAL(lmt_so2bb_h), MAXVAL(lmt_so2bb_h)
+    print *, 'lmt_so2volc_cont', MINVAL(lmt_so2volc_cont), MAXVAL(lmt_so2volc_cont)
+    print *, 'lmt_altvolc_cont', MINVAL(lmt_altvolc_cont), MAXVAL(lmt_altvolc_cont)
+    print *, 'lmt_so2volc_expl', MINVAL(lmt_so2volc_expl), MAXVAL(lmt_so2volc_expl)
+    print *, 'lmt_altvolc_expl', MINVAL(lmt_altvolc_expl), MAXVAL(lmt_altvolc_expl)
+    print *, 'lmt_dmsbio', MINVAL(lmt_dmsbio), MAXVAL(lmt_dmsbio)
+    print *, 'lmt_h2sbio', MINVAL(lmt_h2sbio), MAXVAL(lmt_h2sbio)
+    print *, 'lmt_dmsconc', MINVAL(lmt_dmsconc), MAXVAL(lmt_dmsconc)
+    print *, 'lmt_bcff', MINVAL(lmt_bcff), MAXVAL(lmt_bcff)
+    print *, 'lmt_bcnff', MINVAL(lmt_bcnff), MAXVAL(lmt_bcnff)
+    print *, 'lmt_bcbb_l', MINVAL(lmt_bcbb_l), MAXVAL(lmt_bcbb_l)
+    print *, 'lmt_bcbb_h', MINVAL(lmt_bcbb_h), MAXVAL(lmt_bcbb_h)
+    print *, 'lmt_bcba', MINVAL(lmt_bcba), MAXVAL(lmt_bcba)
+    print *, 'lmt_omff', MINVAL(lmt_omff), MAXVAL(lmt_omff)
+    print *, 'lmt_omnff', MINVAL(lmt_omnff), MAXVAL(lmt_omnff)
+    print *, 'lmt_ombb_l', MINVAL(lmt_ombb_l), MAXVAL(lmt_ombb_l)
+    print *, 'lmt_ombb_h', MINVAL(lmt_ombb_h), MAXVAL(lmt_ombb_h)
+    print *, 'lmt_omnat', MINVAL(lmt_omnat), MAXVAL(lmt_omnat)
+    print *, 'lmt_omba', MINVAL(lmt_omba), MAXVAL(lmt_omba)
+    print *, 'JE iflag_con', iflag_conv
+
+
+    !JE_dbg
+    do i = 1, klon
+      tsol(i) = 0.0
+      do j = 1, nbsrf
+        tsol(i) = tsol(i) + ftsol(i, j) * pctsrf(i, j)
       enddo
-   enddo
-
-
-!======================================================================
-!  INITIALISATIONS
-!======================================================================
-!             CALL checknanqfi(da(:,:),1.,-1.,' da_ before
-!     . phytracr_inphytracr')
-
-!
-! computing time
-!        logitime=.true.
-        logitime=.false.
-        IF (logitime) THEN
-        clock_start=0
-        clock_end=0
-        clock_rate=0
-       CALL SYSTEM_CLOCK(COUNT_RATE=clock_rate,COUNT_MAX=clock_per_max)
-        CALL SYSTEM_CLOCK(COUNT=clock_start_spla)
-        clock_start=clock_start_spla
-        clock_end_outphytracr=clock_start_spla
-        ENDIF
-
-
-! Definition of tracers index.
-      print*,'OK ON PASSSE BIEN LA'
-      CALL minmaxsource(source_tr,qmin,qmax,'A1 maxsource init phytracr')
-
-
-      IF (debutphy) THEN
-        id_prec=-1
-        id_fine=-1
-        id_coss=-1
-        id_codu=-1
-        id_scdu=-1
-        itr = 0
-        do iq=1,nqtot
-          IF(.NOT.tracers(iq)%isInPhysics) CYCLE
-          itr = itr+1
-          print *, itr, TRIM(tracers(iq)%name)
-          SELECT CASE(tracers(iq)%name)
-            CASE('PREC'); id_prec=itr
-            CASE('FINE'); id_fine=itr
-            CASE('COSS'); id_coss=itr
-            CASE('CODU'); id_codu=itr
-            CASE('SCDU'); id_scdu=itr
-          END SELECT
-        enddo
-        ! check consistency with dust emission scheme:
-        if (ok_chimeredust) then
-          if (.not.( id_scdu>0 .and. id_codu>0 .and. id_fine>0)) then
-             call abort_gcm('phytracr_mod', 'pb in ok_chimdust 0',1)
-          endif
-        else 
-          if (id_scdu>0) then 
-       call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1 SCDU',1)
-          endif
-          if ( (id_codu <= 0) .or. ( id_fine<=0)  ) then
-          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1',1) 
-          endif
-       endif
-
-
-       !print *,id_prec,id_fine,id_coss,id_codu,id_scdu
-       ENDIF
-
-
-
-
-
-
-!---fraction of tracer that is convected (Tiedke)
-      xconv(:)=0.
-      if(id_prec>0)  xconv(id_prec)=0.8
-      if(id_fine>0)  xconv(id_fine)=0.5
-      if(id_coss>0)  xconv(id_coss)=0.5
-      if(id_codu>0)  xconv(id_codu)=0.6
-      if(id_scdu>0)  xconv(id_scdu)=0.6  !!JE fix
-
-      masse(:)=1.
-      if(id_prec>0)  masse(id_prec)=32.
-      if(id_fine>0)  masse(id_fine)=6.02e23
-      if(id_coss>0)  masse(id_coss)=6.02e23
-      if(id_codu>0)  masse(id_codu)=6.02e23 
-      if(id_scdu>0)  masse(id_scdu)=6.02e23 
-
-      henry(:)=0.
-      if(id_prec>0)  henry(id_prec)=1.4
-      if(id_fine>0)  henry(id_fine)=0.0
-      if(id_coss>0)  henry(id_coss)=0.0
-      if(id_codu>0)  henry(id_codu)=0.0
-      if(id_scdu>0)  henry(id_scdu)=0.0
-      !henry= (/1.4, 0.0, 0.0, 0.0/)
-      kk(:)=0.
-      if(id_prec>0)  kk(id_prec)=2900.
-      if(id_fine>0)  kk(id_fine)=0.0
-      if(id_coss>0)  kk(id_coss)=0.0
-      if(id_codu>0)  kk(id_codu)=0.0
-      if(id_scdu>0)  kk(id_scdu)=0.0
-      !kk = (/2900., 0., 0., 0./)
-      alpha_r(:)=0.
-      if(id_prec>0)  alpha_r(id_prec)=0.0
-      if(id_fine>0)  alpha_r(id_fine)=0.001
-      if(id_coss>0)  alpha_r(id_coss)=0.001
-      if(id_codu>0)  alpha_r(id_codu)=0.001
-      if(id_scdu>0)  alpha_r(id_scdu)=0.001  !JE fix
-      alpha_s(:)=0.
-      if(id_prec>0)  alpha_s(id_prec)=0.0
-      if(id_fine>0)  alpha_s(id_fine)=0.01
-      if(id_coss>0)  alpha_s(id_coss)=0.01
-      if(id_codu>0)  alpha_s(id_codu)=0.01
-      if(id_scdu>0)  alpha_s(id_scdu)=0.01  !JE fix
-
-!      alpha_r =  (/0., 0.001, 0.001, 0.001/)
-!      alpha_s = (/0., 0.01, 0.01, 0.01/)
-
-! nhl      DATA vdep_oce /0.7, 0.05, 1.2, 1.2/
-! nhl vdep_oce for tr1 is a weighted average of dms and so2 dep velocities
-      !vdep_oce = (/0.28, 0.28, 1.2, 1.2/)
-      vdep_oce(:)=0.
-      if(id_prec>0)  vdep_oce(id_prec) = 0.28
-      if(id_fine>0)  vdep_oce(id_fine) = 0.28
-      if(id_coss>0)  vdep_oce(id_coss) = 1.2
-      if(id_codu>0)  vdep_oce(id_codu) = 1.2
-      if(id_scdu>0)  vdep_oce(id_scdu) = 1.2
-      vdep_sic(:)=0.
-      if(id_prec>0)  vdep_sic(id_prec) = 0.2
-      if(id_fine>0)  vdep_sic(id_fine) = 0.17
-      if(id_coss>0)  vdep_sic(id_coss) = 1.2
-      if(id_codu>0)  vdep_sic(id_codu) = 1.2
-      if(id_scdu>0)  vdep_sic(id_scdu) = 1.2
-
-      !vdep_sic = (/0.2, 0.17, 1.2, 1.2/)     
-      !vdep_ter = (/0.3, 0.14, 1.2, 1.2/)
-      vdep_ter(:)=0.
-      if(id_prec>0)  vdep_ter(id_prec) = 0.3
-      if(id_fine>0)  vdep_ter(id_fine) = 0.14
-      if(id_coss>0)  vdep_ter(id_coss) = 1.2
-      if(id_codu>0)  vdep_ter(id_codu) = 1.2
-      if(id_scdu>0)  vdep_ter(id_scdu) = 1.2
-
-      vdep_lic(:)=0.
-      if(id_prec>0)  vdep_lic(id_prec) = 0.2
-      if(id_fine>0)  vdep_lic(id_fine) = 0.17
-      if(id_coss>0)  vdep_lic(id_coss) = 1.2
-      if(id_codu>0)  vdep_lic(id_codu) = 1.2
-      if(id_scdu>0)  vdep_lic(id_scdu) = 1.2
-
-
-      ! convective KE lessivage aer params:
-      ! AS: #DFB (Binta) a aussi teste ccntrAA_spla=ccntrENV_spla=0.9/1.0/0.9/0.9
-      !     mais effet negligeable sur l'AOD
-      ccntrAA_spla(:)=0.
-      if(id_prec>0)  ccntrAA_spla(id_prec)=-9999.
-      if(id_fine>0)  ccntrAA_spla(id_fine)=0.7
-      if(id_coss>0)  ccntrAA_spla(id_coss)=1.0
-      if(id_codu>0)  ccntrAA_spla(id_codu)=0.7
-      if(id_scdu>0)  ccntrAA_spla(id_scdu)=0.7
-
-      ccntrENV_spla(:)=0.
-      if(id_prec>0)  ccntrENV_spla(id_prec)=-9999.
-      if(id_fine>0)  ccntrENV_spla(id_fine)=0.7
-      if(id_coss>0)  ccntrENV_spla(id_coss)=1.0
-      if(id_codu>0)  ccntrENV_spla(id_codu)=0.7
-      if(id_scdu>0)  ccntrENV_spla(id_scdu)=0.7
-      ! #DFB
-      coefcoli_spla(:)=0.
-      if(id_prec>0)  coefcoli_spla(id_prec)=-9999.
-      if(id_fine>0)  coefcoli_spla(id_fine)=0.001
-      if(id_coss>0)  coefcoli_spla(id_coss)=0.001
-      if(id_codu>0)  coefcoli_spla(id_codu)=0.001
-      if(id_scdu>0)  coefcoli_spla(id_scdu)=0.001
-
-      !vdep_lic = (/0.2, 0.17, 1.2, 1.2/)      
-!
-
-      iscm3=.false.
-      if (debutphy) then
-!$OMP MASTER
-         CALL suphel
-         print *, 'let s check nbtr=', nbtr
-! JE before put in zero
+    enddo
+
+
+    !======================================================================
+    !  INITIALISATIONS
+    !======================================================================
+    !             CALL checknanqfi(da(:,:),1.,-1.,' da_ before
+    !     . phytracr_inphytracr')
+
+    ! computing time
+    !        logitime=.true.
+    logitime = .false.
+    IF (logitime) THEN
+      clock_start = 0
+      clock_end = 0
+      clock_rate = 0
+      CALL SYSTEM_CLOCK(COUNT_RATE = clock_rate, COUNT_MAX = clock_per_max)
+      CALL SYSTEM_CLOCK(COUNT = clock_start_spla)
+      clock_start = clock_start_spla
+      clock_end_outphytracr = clock_start_spla
+    ENDIF
+
+
+    ! Definition of tracers index.
+    print*, 'OK ON PASSSE BIEN LA'
+    CALL minmaxsource(source_tr, qmin, qmax, 'A1 maxsource init phytracr')
+
+    IF (debutphy) THEN
+      id_prec = -1
+      id_fine = -1
+      id_coss = -1
+      id_codu = -1
+      id_scdu = -1
+      itr = 0
+      do iq = 1, nqtot
+        IF(.NOT.tracers(iq)%isInPhysics) CYCLE
+        itr = itr + 1
+        print *, itr, TRIM(tracers(iq)%name)
+        SELECT CASE(tracers(iq)%name)
+        CASE('PREC'); id_prec = itr
+        CASE('FINE'); id_fine = itr
+        CASE('COSS'); id_coss = itr
+        CASE('CODU'); id_codu = itr
+        CASE('SCDU'); id_scdu = itr
+        END SELECT
+      enddo
+      ! check consistency with dust emission scheme:
+      if (ok_chimeredust) then
+        if (.not.(id_scdu>0 .and. id_codu>0 .and. id_fine>0)) then
+          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 0', 1)
+        endif
+      else
+        if (id_scdu>0) then
+          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1 SCDU', 1)
+        endif
+        if ((id_codu <= 0) .or. (id_fine<=0)) then
+          call abort_gcm('phytracr_mod', 'pb in ok_chimdust 1', 1)
+        endif
+      endif
+
+
+      !print *,id_prec,id_fine,id_coss,id_codu,id_scdu
+    ENDIF
+
+
+
+
+
+
+    !---fraction of tracer that is convected (Tiedke)
+    xconv(:) = 0.
+    if(id_prec>0)  xconv(id_prec) = 0.8
+    if(id_fine>0)  xconv(id_fine) = 0.5
+    if(id_coss>0)  xconv(id_coss) = 0.5
+    if(id_codu>0)  xconv(id_codu) = 0.6
+    if(id_scdu>0)  xconv(id_scdu) = 0.6  !!JE fix
+
+    masse(:) = 1.
+    if(id_prec>0)  masse(id_prec) = 32.
+    if(id_fine>0)  masse(id_fine) = 6.02e23
+    if(id_coss>0)  masse(id_coss) = 6.02e23
+    if(id_codu>0)  masse(id_codu) = 6.02e23
+    if(id_scdu>0)  masse(id_scdu) = 6.02e23
+
+    henry(:) = 0.
+    if(id_prec>0)  henry(id_prec) = 1.4
+    if(id_fine>0)  henry(id_fine) = 0.0
+    if(id_coss>0)  henry(id_coss) = 0.0
+    if(id_codu>0)  henry(id_codu) = 0.0
+    if(id_scdu>0)  henry(id_scdu) = 0.0
+    !henry= (/1.4, 0.0, 0.0, 0.0/)
+    kk(:) = 0.
+    if(id_prec>0)  kk(id_prec) = 2900.
+    if(id_fine>0)  kk(id_fine) = 0.0
+    if(id_coss>0)  kk(id_coss) = 0.0
+    if(id_codu>0)  kk(id_codu) = 0.0
+    if(id_scdu>0)  kk(id_scdu) = 0.0
+    !kk = (/2900., 0., 0., 0./)
+    alpha_r(:) = 0.
+    if(id_prec>0)  alpha_r(id_prec) = 0.0
+    if(id_fine>0)  alpha_r(id_fine) = 0.001
+    if(id_coss>0)  alpha_r(id_coss) = 0.001
+    if(id_codu>0)  alpha_r(id_codu) = 0.001
+    if(id_scdu>0)  alpha_r(id_scdu) = 0.001  !JE fix
+    alpha_s(:) = 0.
+    if(id_prec>0)  alpha_s(id_prec) = 0.0
+    if(id_fine>0)  alpha_s(id_fine) = 0.01
+    if(id_coss>0)  alpha_s(id_coss) = 0.01
+    if(id_codu>0)  alpha_s(id_codu) = 0.01
+    if(id_scdu>0)  alpha_s(id_scdu) = 0.01  !JE fix
+
+    !      alpha_r =  (/0., 0.001, 0.001, 0.001/)
+    !      alpha_s = (/0., 0.01, 0.01, 0.01/)
+
+    ! nhl      DATA vdep_oce /0.7, 0.05, 1.2, 1.2/
+    ! nhl vdep_oce for tr1 is a weighted average of dms and so2 dep velocities
+    !vdep_oce = (/0.28, 0.28, 1.2, 1.2/)
+    vdep_oce(:) = 0.
+    if(id_prec>0)  vdep_oce(id_prec) = 0.28
+    if(id_fine>0)  vdep_oce(id_fine) = 0.28
+    if(id_coss>0)  vdep_oce(id_coss) = 1.2
+    if(id_codu>0)  vdep_oce(id_codu) = 1.2
+    if(id_scdu>0)  vdep_oce(id_scdu) = 1.2
+    vdep_sic(:) = 0.
+    if(id_prec>0)  vdep_sic(id_prec) = 0.2
+    if(id_fine>0)  vdep_sic(id_fine) = 0.17
+    if(id_coss>0)  vdep_sic(id_coss) = 1.2
+    if(id_codu>0)  vdep_sic(id_codu) = 1.2
+    if(id_scdu>0)  vdep_sic(id_scdu) = 1.2
+
+    !vdep_sic = (/0.2, 0.17, 1.2, 1.2/)
+    !vdep_ter = (/0.3, 0.14, 1.2, 1.2/)
+    vdep_ter(:) = 0.
+    if(id_prec>0)  vdep_ter(id_prec) = 0.3
+    if(id_fine>0)  vdep_ter(id_fine) = 0.14
+    if(id_coss>0)  vdep_ter(id_coss) = 1.2
+    if(id_codu>0)  vdep_ter(id_codu) = 1.2
+    if(id_scdu>0)  vdep_ter(id_scdu) = 1.2
+
+    vdep_lic(:) = 0.
+    if(id_prec>0)  vdep_lic(id_prec) = 0.2
+    if(id_fine>0)  vdep_lic(id_fine) = 0.17
+    if(id_coss>0)  vdep_lic(id_coss) = 1.2
+    if(id_codu>0)  vdep_lic(id_codu) = 1.2
+    if(id_scdu>0)  vdep_lic(id_scdu) = 1.2
+
+
+    ! convective KE lessivage aer params:
+    ! AS: #DFB (Binta) a aussi teste ccntrAA_spla=ccntrENV_spla=0.9/1.0/0.9/0.9
+    !     mais effet negligeable sur l'AOD
+    ccntrAA_spla(:) = 0.
+    if(id_prec>0)  ccntrAA_spla(id_prec) = -9999.
+    if(id_fine>0)  ccntrAA_spla(id_fine) = 0.7
+    if(id_coss>0)  ccntrAA_spla(id_coss) = 1.0
+    if(id_codu>0)  ccntrAA_spla(id_codu) = 0.7
+    if(id_scdu>0)  ccntrAA_spla(id_scdu) = 0.7
+
+    ccntrENV_spla(:) = 0.
+    if(id_prec>0)  ccntrENV_spla(id_prec) = -9999.
+    if(id_fine>0)  ccntrENV_spla(id_fine) = 0.7
+    if(id_coss>0)  ccntrENV_spla(id_coss) = 1.0
+    if(id_codu>0)  ccntrENV_spla(id_codu) = 0.7
+    if(id_scdu>0)  ccntrENV_spla(id_scdu) = 0.7
+    ! #DFB
+    coefcoli_spla(:) = 0.
+    if(id_prec>0)  coefcoli_spla(id_prec) = -9999.
+    if(id_fine>0)  coefcoli_spla(id_fine) = 0.001
+    if(id_coss>0)  coefcoli_spla(id_coss) = 0.001
+    if(id_codu>0)  coefcoli_spla(id_codu) = 0.001
+    if(id_scdu>0)  coefcoli_spla(id_scdu) = 0.001
+
+    !vdep_lic = (/0.2, 0.17, 1.2, 1.2/)
+
+    iscm3 = .false.
+    if (debutphy) then
+      !$OMP MASTER
+      CALL suphel
+      print *, 'let s check nbtr=', nbtr
+      ! JE before put in zero
       IF (lminmax) THEN
-        DO itr=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan init phytracr')
-        ENDDO
-        DO itr=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'minmax init phytracr')
-        ENDDO
-        CALL minmaxsource(source_tr,qmin,qmax,'maxsource init phytracr')
+        DO itr = 1, nbtr
+          CALL checknanqfi(tr_seri(:, :, itr), qmin, qmax, 'nan init phytracr')
+        ENDDO
+        DO itr = 1, nbtr
+          CALL minmaxqfi2(tr_seri(:, :, itr), qmin, qmax, 'minmax init phytracr')
+        ENDDO
+        CALL minmaxsource(source_tr, qmin, qmax, 'maxsource init phytracr')
       ENDIF
-! JE   initializon to cero the tracers     
-!         DO itr=1,nbtr
-!            tr_seri(:,:,itr)=0.0
-!         ENDDO
-! JE end     
-! Initializing to zero tr_seri for comparison purposes
-!        tr_seri(:,:,:)=0.0
-!
-!        DO itr=1,nbtr
-!           trm_aux(itr)=0.0
-!           src_aux(itr)=0.0
-!           diag_trm(itr)=0.0
-!           diag_drydep(itr)=0.0
-!           diag_wetdep(itr)=0.0
-!           diag_cvtdep(itr)=0.0
-!           diag_emissn(itr)=0.0
-!        ENDDO
-!        diag_g2part=0.0
-         print *,'PREPARE FILES TO SAVE VARIABLES'
-!
-         nbjour=30
-         ecrit_tra =   NINT(86400./pdtphys)                    !--1-day  average
-         ecrit_tra_h = NINT(86400./pdtphys*0.25)               !--6-hour average
-         ecrit_tra_m = NINT(86400./pdtphys*FLOAT(nbjour))      !--1-mth  average
-         print *,'ecrit_tra=', pdtphys, ecrit_tra
-
-!!AS deleting lines
-!!         IF (ok_histrac) THEN
-!!           IF (is_mpi_root .AND. is_omp_root) THEN
-!!-----many deleted lines----
-!!!       nbjour=1
-!!         ENDIF ! mpi root
-!!         ENDIF !--ok_histrac
-
-!$OMP END MASTER
-!$OMP BARRIER
-      endif ! debutphy
-!
-!======================================================================
-! Initialisations
-!======================================================================
-!
-!
-! je  KE init
-      IF (debutphy) THEN
-!$OMP MASTER
-
-      ALLOCATE(d_tr_dry(klon,nbtr))
-      ALLOCATE(flux_tr_dry(klon,nbtr),d_tr_dec(klon,klev,nbtr))
-      ALLOCATE(qPrls(klon,nbtr),qPr(klon,klev,nbtr))
-      ALLOCATE(qDi(klon,klev,nbtr))
-      ALLOCATE(qPa(klon,klev,nbtr),qMel(klon,klev,nbtr))
-      ALLOCATE(qTrdi(klon,klev,nbtr),dtrcvMA(klon,klev,nbtr))
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       ALLOCATE(d_tr_cv_o(klon,klev,nbtr))
-       ALLOCATE(d_tr_trsp_o(klon,klev,nbtr))
-       ALLOCATE(d_tr_sscav_o(klon,klev,nbtr), &
-                d_tr_sat_o(klon,klev,nbtr))
-        ALLOCATE(d_tr_uscav_o(klon,klev,nbtr))
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-        ALLOCATE(d_tr_insc_o(klon,klev,nbtr))
-        ALLOCATE(d_tr_bcscav_o(klon,klev,nbtr))
-        ALLOCATE(d_tr_evapls_o(klon,klev,nbtr))
-        ALLOCATE(d_tr_ls_o(klon,klev,nbtr))
-        ALLOCATE(d_tr_dyn_o(klon,klev,nbtr))
-        ALLOCATE(d_tr_cl_o(klon,klev,nbtr))
-        ALLOCATE(d_tr_th_o(klon,klev,nbtr))
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-        ALLOCATE(iregion_so4(klon))
-        ALLOCATE(iregion_bb(klon))
-        ALLOCATE(iregion_ind(klon))
-        ALLOCATE(iregion_dust(klon))
-        ALLOCATE(iregion_wstardust(klon))
-
-!JE20150518<<
-       ALLOCATE(masque_aqua(klon))  
-       ALLOCATE(masque_terra(klon))  
- 
-
-       masque_aqua(:)=0
-       masque_terra(:)=0
-
-      aod550_terra(:)=0.  
-      aod550_tr2_terra(:)=0.  
-      aod550_ss_terra(:)=0.   
-      aod550_dust_terra(:)=0.   
-      aod550_dustsco_terra(:)=0.   
-      aod670_terra(:)=0.   
-      aod670_tr2_terra(:)=0.  
-      aod670_ss_terra(:)=0.  
-      aod670_dust_terra(:)=0.  
-      aod670_dustsco_terra(:)=0.  
-      aod865_terra(:)=0.   
-      aod865_tr2_terra(:)=0.  
-      aod865_ss_terra(:)=0.  
-      aod865_dust_terra(:)=0.  
-      aod865_dustsco_terra(:)=0.  
-      aod550_aqua(:)=0.  
-      aod550_tr2_aqua(:)=0.  
-      aod550_ss_aqua(:)=0.   
-      aod550_dust_aqua(:)=0.   
-      aod550_dustsco_aqua(:)=0.   
-      aod670_aqua(:)=0.   
-      aod670_tr2_aqua(:)=0.  
-      aod670_ss_aqua(:)=0.  
-      aod670_dust_aqua(:)=0.  
-      aod670_dustsco_aqua(:)=0.  
-      aod865_aqua(:)=0.   
-      aod865_tr2_aqua(:)=0.  
-      aod865_ss_aqua(:)=0.  
-      aod865_dust_aqua(:)=0.  
-      aod865_dustsco_aqua(:)=0.  
-!JE20150518>>
-
-
-
-
-
-!
-!Config Key  = iflag_lscav
-!Config Desc = Large scale scavenging parametrization: 0=none,
-!1=old(Genthon92),
-!              2=1+PHeinrich, 3=Reddy_Boucher2004, 4=3+RPilon.
-!Config Def  = 4
-!Config
-        iflag_lscav_omp=4
-        call getin('iflag_lscav', iflag_lscav_omp)
-        iflag_lscav=iflag_lscav_omp
-! initialiation for time computation
-
-        tia_spla=0.
-        tia_emis=0.
-        tia_depo=0.
-        tia_cltr=0.
-        tia_ther=0.
-        tia_sedi=0.
-        tia_gasp=0.
-        tia_wetap=0.
-        tia_cvltr=0.
-        tia_lscs=0.
-        tia_brop=0.
-        tia_outs=0.
-        tia_nophytracr=0.
-        clock_start_outphytracr=clock_end_outphytracr+1
-!$OMP END MASTER
-!$OMP BARRIER
-       ENDIF ! debutphy
-     
-      lmt_dms(:)=0.0
-      aux_var2(:)=0.0
-      aux_var3(:,:)=0.0
-      source_tr(:,:)=0.0
-      flux_tr(:,:)=0.0
-      flux_sparam_bb(:)=0.0
-      flux_sparam_ff(:)=0.0
-      flux_sparam_ind(:)=0.0
-      flux_sparam_ddfine(:)=0.0
-      flux_sparam_ddcoa(:)=0.0
-      flux_sparam_ddsco(:)=0.0
-      flux_sparam_ssfine(:)=0.0
-      flux_sparam_sscoa(:)=0.0
-
-! initialiation for time computation
-        
-        ti_spla=0
-        ti_emis=0
-        ti_depo=0
-        ti_cltr=0
-        ti_ther=0
-        ti_sedi=0
-        ti_gasp=0
-        ti_wetap=0
-        ti_cvltr=0
-        ti_lscs=0
-        ti_brop=0
-        ti_outs=0
-
-
-       DO k=1,klev
-        DO i=1,klon
-         Mint(i,k)=0.
+      ! JE   initializon to cero the tracers
+      !         DO itr=1,nbtr
+      !            tr_seri(:,:,itr)=0.0
+      !         ENDDO
+      ! JE end
+      ! Initializing to zero tr_seri for comparison purposes
+      !        tr_seri(:,:,:)=0.0
+
+      !        DO itr=1,nbtr
+      !           trm_aux(itr)=0.0
+      !           src_aux(itr)=0.0
+      !           diag_trm(itr)=0.0
+      !           diag_drydep(itr)=0.0
+      !           diag_wetdep(itr)=0.0
+      !           diag_cvtdep(itr)=0.0
+      !           diag_emissn(itr)=0.0
+      !        ENDDO
+      !        diag_g2part=0.0
+      print *, 'PREPARE FILES TO SAVE VARIABLES'
+
+      nbjour = 30
+      ecrit_tra = NINT(86400. / pdtphys)                    !--1-day  average
+      ecrit_tra_h = NINT(86400. / pdtphys * 0.25)               !--6-hour average
+      ecrit_tra_m = NINT(86400. / pdtphys * FLOAT(nbjour))      !--1-mth  average
+      print *, 'ecrit_tra=', pdtphys, ecrit_tra
+
+      !!AS deleting lines
+      !!         IF (ok_histrac) THEN
+      !!           IF (is_mpi_root .AND. is_omp_root) THEN
+      !!-----many deleted lines----
+      !!!       nbjour=1
+      !!         ENDIF ! mpi root
+      !!         ENDIF !--ok_histrac
+
+      !$OMP END MASTER
+      !$OMP BARRIER
+    endif ! debutphy
+
+    !======================================================================
+    ! Initialisations
+    !======================================================================
+
+
+    ! je  KE init
+    IF (debutphy) THEN
+      !$OMP MASTER
+
+      ALLOCATE(d_tr_dry(klon, nbtr))
+      ALLOCATE(flux_tr_dry(klon, nbtr), d_tr_dec(klon, klev, nbtr))
+      ALLOCATE(qPrls(klon, nbtr), qPr(klon, klev, nbtr))
+      ALLOCATE(qDi(klon, klev, nbtr))
+      ALLOCATE(qPa(klon, klev, nbtr), qMel(klon, klev, nbtr))
+      ALLOCATE(qTrdi(klon, klev, nbtr), dtrcvMA(klon, klev, nbtr))
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ALLOCATE(d_tr_cv_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_trsp_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_sscav_o(klon, klev, nbtr), &
+              d_tr_sat_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_uscav_o(klon, klev, nbtr))
+
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ALLOCATE(d_tr_insc_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_bcscav_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_evapls_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_ls_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_dyn_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_cl_o(klon, klev, nbtr))
+      ALLOCATE(d_tr_th_o(klon, klev, nbtr))
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      ALLOCATE(iregion_so4(klon))
+      ALLOCATE(iregion_bb(klon))
+      ALLOCATE(iregion_ind(klon))
+      ALLOCATE(iregion_dust(klon))
+      ALLOCATE(iregion_wstardust(klon))
+
+      !JE20150518<<
+      ALLOCATE(masque_aqua(klon))
+      ALLOCATE(masque_terra(klon))
+
+      masque_aqua(:) = 0
+      masque_terra(:) = 0
+
+      aod550_terra(:) = 0.
+      aod550_tr2_terra(:) = 0.
+      aod550_ss_terra(:) = 0.
+      aod550_dust_terra(:) = 0.
+      aod550_dustsco_terra(:) = 0.
+      aod670_terra(:) = 0.
+      aod670_tr2_terra(:) = 0.
+      aod670_ss_terra(:) = 0.
+      aod670_dust_terra(:) = 0.
+      aod670_dustsco_terra(:) = 0.
+      aod865_terra(:) = 0.
+      aod865_tr2_terra(:) = 0.
+      aod865_ss_terra(:) = 0.
+      aod865_dust_terra(:) = 0.
+      aod865_dustsco_terra(:) = 0.
+      aod550_aqua(:) = 0.
+      aod550_tr2_aqua(:) = 0.
+      aod550_ss_aqua(:) = 0.
+      aod550_dust_aqua(:) = 0.
+      aod550_dustsco_aqua(:) = 0.
+      aod670_aqua(:) = 0.
+      aod670_tr2_aqua(:) = 0.
+      aod670_ss_aqua(:) = 0.
+      aod670_dust_aqua(:) = 0.
+      aod670_dustsco_aqua(:) = 0.
+      aod865_aqua(:) = 0.
+      aod865_tr2_aqua(:) = 0.
+      aod865_ss_aqua(:) = 0.
+      aod865_dust_aqua(:) = 0.
+      aod865_dustsco_aqua(:) = 0.
+      !JE20150518>>
+
+      !Config Key  = iflag_lscav
+      !Config Desc = Large scale scavenging parametrization: 0=none,
+      !1=old(Genthon92),
+      !              2=1+PHeinrich, 3=Reddy_Boucher2004, 4=3+RPilon.
+      !Config Def  = 4
+      !Config
+      iflag_lscav_omp = 4
+      call getin('iflag_lscav', iflag_lscav_omp)
+      iflag_lscav = iflag_lscav_omp
+      ! initialiation for time computation
+
+      tia_spla = 0.
+      tia_emis = 0.
+      tia_depo = 0.
+      tia_cltr = 0.
+      tia_ther = 0.
+      tia_sedi = 0.
+      tia_gasp = 0.
+      tia_wetap = 0.
+      tia_cvltr = 0.
+      tia_lscs = 0.
+      tia_brop = 0.
+      tia_outs = 0.
+      tia_nophytracr = 0.
+      clock_start_outphytracr = clock_end_outphytracr + 1
+      !$OMP END MASTER
+      !$OMP BARRIER
+    ENDIF ! debutphy
+
+    lmt_dms(:) = 0.0
+    aux_var2(:) = 0.0
+    aux_var3(:, :) = 0.0
+    source_tr(:, :) = 0.0
+    flux_tr(:, :) = 0.0
+    flux_sparam_bb(:) = 0.0
+    flux_sparam_ff(:) = 0.0
+    flux_sparam_ind(:) = 0.0
+    flux_sparam_ddfine(:) = 0.0
+    flux_sparam_ddcoa(:) = 0.0
+    flux_sparam_ddsco(:) = 0.0
+    flux_sparam_ssfine(:) = 0.0
+    flux_sparam_sscoa(:) = 0.0
+
+    ! initialiation for time computation
+
+    ti_spla = 0
+    ti_emis = 0
+    ti_depo = 0
+    ti_cltr = 0
+    ti_ther = 0
+    ti_sedi = 0
+    ti_gasp = 0
+    ti_wetap = 0
+    ti_cvltr = 0
+    ti_lscs = 0
+    ti_brop = 0
+    ti_outs = 0
+
+    DO k = 1, klev
+      DO i = 1, klon
+        Mint(i, k) = 0.
+      END DO
+    END DO
+
+    DO itr = 1, nbtr
+      DO k = 1, klev
+        DO i = 1, klon
+          d_tr_cv(i, k, itr) = 0.
+          d_tr_trsp(i, k, itr) = 0.
+          d_tr_sscav(i, k, itr) = 0.
+          d_tr_sat(i, k, itr) = 0.
+          d_tr_uscav(i, k, itr) = 0.
+          d_tr(i, k, itr) = 0.
+          d_tr_insc(i, k, itr) = 0.
+          d_tr_bcscav(i, k, itr) = 0.
+          d_tr_evapls(i, k, itr) = 0.
+          d_tr_ls(i, k, itr) = 0.
+          d_tr_cl(i, k, itr) = 0.
+          d_tr_th(i, k, itr) = 0.
+
+          d_tr_cv_o(i, k, itr) = 0.
+          d_tr_trsp_o(i, k, itr) = 0.
+          d_tr_sscav_o(i, k, itr) = 0.
+          d_tr_sat_o(i, k, itr) = 0.
+          d_tr_uscav_o(i, k, itr) = 0.
+
+          qDi(i, k, itr) = 0.
+          qPr(i, k, itr) = 0.
+          qPa(i, k, itr) = 0.
+          qMel(i, k, itr) = 0.
+          qTrdi(i, k, itr) = 0.
+          dtrcvMA(i, k, itr) = 0.
+          zmfd1a(i, k, itr) = 0.
+          zmfdam(i, k, itr) = 0.
+          zmfphi2(i, k, itr) = 0.
         END DO
-       END DO
-
-
-!
-      DO itr=1,nbtr
-       DO k=1,klev
-        DO i=1,klon
-         d_tr_cv(i,k,itr)=0.
-         d_tr_trsp(i,k,itr)=0.
-         d_tr_sscav(i,k,itr)=0.
-         d_tr_sat(i,k,itr)=0.
-         d_tr_uscav(i,k,itr)=0.
-         d_tr(i,k,itr)=0.
-         d_tr_insc(i,k,itr)=0.
-         d_tr_bcscav(i,k,itr)=0.
-         d_tr_evapls(i,k,itr)=0.
-         d_tr_ls(i,k,itr)=0.
-         d_tr_cl(i,k,itr)=0.
-         d_tr_th(i,k,itr)=0.
-  
-         d_tr_cv_o(i,k,itr)=0.
-         d_tr_trsp_o(i,k,itr)=0.
-         d_tr_sscav_o(i,k,itr)=0.
-         d_tr_sat_o(i,k,itr)=0.
-         d_tr_uscav_o(i,k,itr)=0.
-
-
-         qDi(i,k,itr)=0.
-         qPr(i,k,itr)=0.
-         qPa(i,k,itr)=0.
-         qMel(i,k,itr)=0.
-         qTrdi(i,k,itr)=0.
-         dtrcvMA(i,k,itr)=0.
-         zmfd1a(i,k,itr)=0.
-         zmfdam(i,k,itr)=0.
-         zmfphi2(i,k,itr)=0.
-        END DO
-       END DO
       END DO
-
-
-      DO itr=1,nbtr
-       DO i=1,klon
-          qPrls(i,itr)=0.0
-          dtrconv(i,itr)=0.0
-!JE20140507<<
-          d_tr_dry(i,itr)=0.0
-          flux_tr_dry(i,itr)=0.0
-!JE20140507>>
-       ENDDO
-      ENDDO
-
-      DO itr=1,nbtr
-      DO i=1, klon 
-        his_dh(i,itr)=0.0
-        his_dhlsc(i,itr)=0.0
-        his_dhcon(i,itr)=0.0
-        his_dhbclsc(i,itr)=0.0
-        his_dhbccon(i,itr)=0.0
-        trm(i,itr)=0.0
-        his_th(i,itr)=0.0
-        his_dhkecv(i,itr)=0.0
-        his_ds(i,itr)=0.0
-        his_dhkelsc(i,itr)=0.0
-
-      ENDDO
-      ENDDO
-!JE:      
-      DO i=1, klon 
-         his_g2pgas(i) = 0.0
-         his_g2paer(i) = 0.0
-      ENDDO
-! endJE
-!
-
-      DO k=1, klev
+    END DO
+
+    DO itr = 1, nbtr
       DO i = 1, klon
-        zrho(i,k)=pplay(i,k)/t_seri(i,k)/RD
-        zdz(i,k)=(paprs(i,k)-paprs(i,k+1))/zrho(i,k)/RG
-        zmasse(i,k)=(paprs(i,k)-paprs(i,k+1))/RG
-      ENDDO
-      ENDDO
-!
+        qPrls(i, itr) = 0.0
+        dtrconv(i, itr) = 0.0
+        !JE20140507<<
+        d_tr_dry(i, itr) = 0.0
+        flux_tr_dry(i, itr) = 0.0
+        !JE20140507>>
+      ENDDO
+    ENDDO
+
+    DO itr = 1, nbtr
       DO i = 1, klon
-        zalt(i,1)=pphis(i)/RG
-      ENDDO
-      DO k=1, klev-1
+        his_dh(i, itr) = 0.0
+        his_dhlsc(i, itr) = 0.0
+        his_dhcon(i, itr) = 0.0
+        his_dhbclsc(i, itr) = 0.0
+        his_dhbccon(i, itr) = 0.0
+        trm(i, itr) = 0.0
+        his_th(i, itr) = 0.0
+        his_dhkecv(i, itr) = 0.0
+        his_ds(i, itr) = 0.0
+        his_dhkelsc(i, itr) = 0.0
+
+      ENDDO
+    ENDDO
+    !JE:
+    DO i = 1, klon
+      his_g2pgas(i) = 0.0
+      his_g2paer(i) = 0.0
+    ENDDO
+    ! endJE
+
+    DO k = 1, klev
       DO i = 1, klon
-        zalt(i,k+1)=zalt(i,k)+zdz(i,k)
-      ENDDO
-      ENDDO
-
-
-
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_end)
-      dife=clock_end-clock_start
-      ti_init=dife*MAX(0,SIGN(1,dife)) &
-      +(dife+clock_per_max)*MAX(0,SIGN(1,-dife))
-      tia_init=tia_init+REAL(ti_init)/REAL(clock_rate)
-      ENDIF
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_start)
-      ENDIF
-
-
-      IF (debutphy) then
-
-! AS: initialisation des indices par point de grille physique iregion_*
-! (variables tenant de l'assimilation, a eliminer dans un 2eme temps) 
-       iregion_dust(:)=1
-       iregion_ind(:)=1
-       iregion_bb(:)=1
-       iregion_wstardust(:)=1
-
-!AS: lecture des indices dans fichiers "regions_*" eliminee par IF("ASSIM"="YES") (faux donc)
-       IF("ASSIM"=="YES") THEN
-      c_FullName1='regions_dustacc'
-      !c_FullName1='regions_dust'
-      call readregions_spl(iregion_dust,c_FullName1)
-      c_FullName1='regions_ind'
-      call readregions_spl(iregion_ind,c_FullName1)
-      c_FullName1='regions_bb'
-      call readregions_spl(iregion_bb,c_FullName1)
-      c_FullName1='regions_pwstarwake'
-      call readregions_spl(iregion_wstardust,c_FullName1)
-
-!$OMP MASTER
+        zrho(i, k) = pplay(i, k) / t_seri(i, k) / RD
+        zdz(i, k) = (paprs(i, k) - paprs(i, k + 1)) / zrho(i, k) / RG
+        zmasse(i, k) = (paprs(i, k) - paprs(i, k + 1)) / RG
+      ENDDO
+    ENDDO
+
+    DO i = 1, klon
+      zalt(i, 1) = pphis(i) / RG
+    ENDDO
+    DO k = 1, klev - 1
+      DO i = 1, klon
+        zalt(i, k + 1) = zalt(i, k) + zdz(i, k)
+      ENDDO
+    ENDDO
+
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_end)
+      dife = clock_end - clock_start
+      ti_init = dife * MAX(0, SIGN(1, dife)) &
+              + (dife + clock_per_max) * MAX(0, SIGN(1, -dife))
+      tia_init = tia_init + REAL(ti_init) / REAL(clock_rate)
+    ENDIF
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_start)
+    ENDIF
+
+    IF (debutphy) then
+
+      ! AS: initialisation des indices par point de grille physique iregion_*
+      ! (variables tenant de l'assimilation, a eliminer dans un 2eme temps)
+      iregion_dust(:) = 1
+      iregion_ind(:) = 1
+      iregion_bb(:) = 1
+      iregion_wstardust(:) = 1
+
+      !AS: lecture des indices dans fichiers "regions_*" eliminee par IF("ASSIM"="YES") (faux donc)
+      IF("ASSIM"=="YES") THEN
+        c_FullName1 = 'regions_dustacc'
+        !c_FullName1='regions_dust'
+        call readregions_spl(iregion_dust, c_FullName1)
+        c_FullName1 = 'regions_ind'
+        call readregions_spl(iregion_ind, c_FullName1)
+        c_FullName1 = 'regions_bb'
+        call readregions_spl(iregion_bb, c_FullName1)
+        c_FullName1 = 'regions_pwstarwake'
+        call readregions_spl(iregion_wstardust, c_FullName1)
+
+        !$OMP MASTER
+        IF (is_mpi_root .AND. is_omp_root) THEN
+
+          OPEN(25, FILE = 'dustregions_pyvar_je.data')
+          OPEN(55, FILE = 'indregions_pyvar_je.data')
+          OPEN(75, FILE = 'bbregions_pyvar_je.data')
+          OPEN(95, FILE = 'wstardustregions_pyvar_je.data')
+          OPEN(76, FILE = 'xlat.data')
+          OPEN(77, FILE = 'xlon.data')
+        ENDIF ! mpi root
+        !$OMP END MASTER
+        !$OMP BARRIER
+
+        CALL gather(iregion_dust, iauxklon_glo)
+        !$OMP MASTER
+        IF (is_mpi_root .AND. is_omp_root) THEN
+          DO k = 1, klon_glo
+            WRITE(25, '(i10)') iauxklon_glo(k)
+          ENDDO
+        ENDIF ! mpi root
+        !$OMP END MASTER
+        !$OMP BARRIER
+        CALL gather(iregion_ind, iauxklon_glo)
+        !$OMP MASTER
+        IF (is_mpi_root .AND. is_omp_root) THEN
+          DO k = 1, klon_glo
+            WRITE(55, '(i10)') iauxklon_glo(k)
+          ENDDO
+        ENDIF ! mpi root
+        !$OMP END MASTER
+        !$OMP BARRIER
+        CALL gather(iregion_bb, iauxklon_glo)
+        !$OMP MASTER
+        IF (is_mpi_root .AND. is_omp_root) THEN
+          DO k = 1, klon_glo
+            WRITE(75, '(i10)') iauxklon_glo(k)
+          ENDDO
+        ENDIF ! mpi root
+        !$OMP END MASTER
+        !$OMP BARRIER
+        CALL gather(iregion_wstardust, iauxklon_glo)
+        !$OMP MASTER
+        IF (is_mpi_root .AND. is_omp_root) THEN
+          DO k = 1, klon_glo
+            WRITE(95, '(i10)') iauxklon_glo(k)
+          ENDDO
+        ENDIF ! mpi root
+        !$OMP END MASTER
+        !$OMP BARRIER
+
+        CALL gather(rlat, auxklon_glo)
+        !$OMP MASTER
+        IF (is_mpi_root .AND. is_omp_root) THEN
+          DO k = 1, klon_glo
+            WRITE(76, *) auxklon_glo(k)
+          ENDDO
+        ENDIF ! mpi root
+        !$OMP END MASTER
+        !$OMP BARRIER
+        CALL gather(rlon, auxklon_glo)
+        !$OMP MASTER
+        IF (is_mpi_root .AND. is_omp_root) THEN
+          DO k = 1, klon_glo
+            WRITE(77, *) auxklon_glo(k)
+          ENDDO
+
+          CLOSE(25)
+          CLOSE(55)
+          CLOSE(75)
+          CLOSE(76)
+          CLOSE(77)
+          CLOSE(95)
+
+        ENDIF ! mpi root
+        !$OMP END MASTER
+        !$OMP BARRIER
+
+      ENDIF  ! ASSIM
+
+    ENDIF  ! debutphy
+
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_end)
+      dife = clock_end - clock_start
+      ti_inittype = dife * MAX(0, SIGN(1, dife)) &
+              + (dife + clock_per_max) * MAX(0, SIGN(1, -dife))
+      tia_inittype = tia_inittype + REAL(ti_inittype) / REAL(clock_rate)
+    ENDIF
+
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_start)
+    ENDIF
+
+    !=======================================================================
+    ! SAVING SURFACE TYPE
+    !=======================================================================
+    IF (debutphy) THEN
+      !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
-     
-      OPEN(25,FILE='dustregions_pyvar_je.data')
-      OPEN(55,FILE='indregions_pyvar_je.data')
-      OPEN(75,FILE='bbregions_pyvar_je.data')
-      OPEN(95,FILE='wstardustregions_pyvar_je.data')
-      OPEN(76,FILE='xlat.data')
-      OPEN(77,FILE='xlon.data')
+
+        OPEN(35, FILE = 'surface_ocean.data')
+        OPEN(45, FILE = 'surface_seaice.data')
+        OPEN(65, FILE = 'surface_land.data')
+        OPEN(85, FILE = 'surface_landice.data')
       ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-
-      CALL gather(iregion_dust,iauxklon_glo)
-!$OMP MASTER
+      !$OMP END MASTER
+      !$OMP BARRIER
+      do i = 1, klon
+        aux_var2(i) = pctsrf(i, is_oce)
+      enddo
+      call gather(aux_var2, auxklon_glo)
+      !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
-      DO k=1,klon_glo
-        WRITE(25,'(i10)') iauxklon_glo(k)
-      ENDDO
+        DO i = 1, klon_glo
+          WRITE (35, 103)  auxklon_glo(i)
+        ENDDO
       ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-      CALL gather(iregion_ind,iauxklon_glo)
-!$OMP MASTER
+      !$OMP END MASTER
+      !$OMP BARRIER
+
+      do i = 1, klon
+        aux_var2(i) = pctsrf(i, is_sic)
+      enddo
+      call gather(aux_var2, auxklon_glo)
+      !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
-      DO k=1,klon_glo
-        WRITE(55,'(i10)') iauxklon_glo(k)
-      ENDDO
+        DO i = 1, klon_glo
+          WRITE (45, 103)  auxklon_glo(i)
+        ENDDO
       ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-      CALL gather(iregion_bb,iauxklon_glo)
-!$OMP MASTER
+      !$OMP END MASTER
+      !$OMP BARRIER
+
+      do i = 1, klon
+        aux_var2(i) = pctsrf(i, is_ter)
+      enddo
+      call gather(aux_var2, auxklon_glo)
+      !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
-      DO k=1,klon_glo
-        WRITE(75,'(i10)') iauxklon_glo(k)
-      ENDDO
+        DO i = 1, klon_glo
+          WRITE (65, 103)  auxklon_glo(i)
+        ENDDO
       ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-      CALL gather(iregion_wstardust,iauxklon_glo)
-!$OMP MASTER
+      !$OMP END MASTER
+      !$OMP BARRIER
+
+      do i = 1, klon
+        aux_var2(i) = pctsrf(i, is_lic)
+      enddo
+      call gather(aux_var2, auxklon_glo)
+      !$OMP MASTER
       IF (is_mpi_root .AND. is_omp_root) THEN
-      DO k=1,klon_glo
-        WRITE(95,'(i10)') iauxklon_glo(k)
-      ENDDO
+        DO i = 1, klon_glo
+          WRITE (85, 103)  auxklon_glo(i)
+        ENDDO
+
+        !      DO i = 1, klon
+        !         WRITE (35,103) pctsrf(i,is_oce)
+        !         WRITE (45,103) pctsrf(i,is_sic)
+        !         WRITE (65,103) pctsrf(i,is_ter)
+        !         WRITE (85,103) pctsrf(i,is_lic)
+        !      ENDDO
+        CLOSE(35)
+        CLOSE(45)
+        CLOSE(65)
+        CLOSE(85)
+        103   FORMAT (f6.2)
       ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-
-
-      CALL gather(rlat,auxklon_glo)
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-      DO k=1,klon_glo
-        WRITE(76,*) auxklon_glo(k)
-      ENDDO
-      ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-      CALL gather(rlon,auxklon_glo)
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-      DO k=1,klon_glo
-        WRITE(77,*) auxklon_glo(k)
-      ENDDO
-
-      CLOSE(25)
-      CLOSE(55)
-      CLOSE(75)
-      CLOSE(76)
-      CLOSE(77)
-      CLOSE(95)
-
-      ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-
-      ENDIF  ! ASSIM 
-
-      ENDIF  ! debutphy
-
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_end)
-      dife=clock_end-clock_start
-      ti_inittype=dife*MAX(0,SIGN(1,dife)) &
-      +(dife+clock_per_max)*MAX(0,SIGN(1,-dife))
-      tia_inittype=tia_inittype+REAL(ti_inittype)/REAL(clock_rate)
-      ENDIF
-
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_start)
-      ENDIF
-
-!
-!=======================================================================
-! SAVING SURFACE TYPE
-!=======================================================================
-      IF (debutphy) THEN
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-
-      OPEN(35,FILE='surface_ocean.data')
-      OPEN(45,FILE='surface_seaice.data')
-      OPEN(65,FILE='surface_land.data')
-      OPEN(85,FILE='surface_landice.data')
-      ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-      do i = 1, klon
-                aux_var2(i) = pctsrf(i,is_oce) 
-      enddo
-      call gather(aux_var2,auxklon_glo)
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-      DO i = 1, klon_glo
-         WRITE (35,103)  auxklon_glo(i)
-      ENDDO
-      ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-
-      do i = 1, klon
-                aux_var2(i) = pctsrf(i,is_sic) 
-      enddo
-      call gather(aux_var2,auxklon_glo)
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-      DO i = 1, klon_glo
-         WRITE (45,103)  auxklon_glo(i)
-      ENDDO
-      ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-
-      do i = 1, klon
-                aux_var2(i) = pctsrf(i,is_ter) 
-      enddo
-      call gather(aux_var2,auxklon_glo)
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-      DO i = 1, klon_glo
-         WRITE (65,103)  auxklon_glo(i)
-      ENDDO
-      ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-
-      do i = 1, klon
-                aux_var2(i) = pctsrf(i,is_lic) 
-      enddo
-      call gather(aux_var2,auxklon_glo)
-!$OMP MASTER
-      IF (is_mpi_root .AND. is_omp_root) THEN
-      DO i = 1, klon_glo
-         WRITE (85,103)  auxklon_glo(i)
-      ENDDO
-!
-!      DO i = 1, klon
-!         WRITE (35,103) pctsrf(i,is_oce)
-!         WRITE (45,103) pctsrf(i,is_sic)
-!         WRITE (65,103) pctsrf(i,is_ter)
-!         WRITE (85,103) pctsrf(i,is_lic)
-!      ENDDO
-      CLOSE(35)
-      CLOSE(45)
-      CLOSE(65)
-      CLOSE(85)
-103   FORMAT (f6.2)
-      ENDIF ! mpi root
-!$OMP END MASTER
-!$OMP BARRIER
-      ENDIF ! debutphy
-
-!      stop
-!
-!=======================================================================
-!
-      DO itr=1,nbtr
-        DO j=1,klev
-        DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,itr)
-        ENDDO
-        ENDDO
-        CALL kg_to_cm3(pplay,t_seri,tmp_var)
-        DO j=1,klev
-        DO i=1,klon
-           tr_seri(i,j,itr)=tmp_var(i,j)
-        ENDDO
-        ENDDO
-      ENDDO
-      iscm3=.true.
-
-!=======================================================================
-!
-      DO k=1, klev
-      DO i=1, klon
-        m_conc(i,k)=pplay(i,k)/t_seri(i,k)/RKBOL*1.e-6
-      ENDDO
-      ENDDO
-
-!
-!
-      IF (lminmax) THEN
-        DO itr=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_avt_coarem')
-        ENDDO        
-        DO itr=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'avt coarem')
-        ENDDO
-        CALL minmaxsource(source_tr,qmin,qmax,'src: avt coarem')
-      ENDIF
-
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_end)
-      dife=clock_end-clock_start
-      ti_inittwrite=dife*MAX(0,SIGN(1,dife))  &
-      +(dife+clock_per_max)*MAX(0,SIGN(1,-dife))
-      tia_inittwrite=tia_inittwrite+REAL(ti_inittwrite)/REAL(clock_rate)
-      ENDIF
-
-!
-!
-!=======================================================================
-!                     EMISSIONS OF COARSE AEROSOLS
-!=======================================================================
-
-
-      IF (logitime) THEN
-      CALL SYSTEM_CLOCK(COUNT=clock_start)
-      ENDIF
-
-
-
-!      
-      print *,'Number of tracers = ',nbtr
-
-      print *,'AT BEGINNING OF PHYTRACR_SPL'
-!      print *,'tr_seri = ',SUM(tr_seri(:,:,3)),MINVAL(tr_seri(:,:,3)),
-!     .                                         MAXVAL(tr_seri(:,:,3))
+      !$OMP END MASTER
+      !$OMP BARRIER
+    ENDIF ! debutphy
+
+    !      stop
+
+    !=======================================================================
+
+    DO itr = 1, nbtr
+      DO j = 1, klev
+        DO i = 1, klon
+          tmp_var(i, j) = tr_seri(i, j, itr)
+        ENDDO
+      ENDDO
+      CALL kg_to_cm3(pplay, t_seri, tmp_var)
+      DO j = 1, klev
+        DO i = 1, klon
+          tr_seri(i, j, itr) = tmp_var(i, j)
+        ENDDO
+      ENDDO
+    ENDDO
+    iscm3 = .true.
+
+    !=======================================================================
+
+    DO k = 1, klev
+      DO i = 1, klon
+        m_conc(i, k) = pplay(i, k) / t_seri(i, k) / RKBOL * 1.e-6
+      ENDDO
+    ENDDO
+
+    IF (lminmax) THEN
+      DO itr = 1, nbtr
+        CALL checknanqfi(tr_seri(:, :, itr), qmin, qmax, 'nan_avt_coarem')
+      ENDDO
+      DO itr = 1, nbtr
+        CALL minmaxqfi2(tr_seri(:, :, itr), qmin, qmax, 'avt coarem')
+      ENDDO
+      CALL minmaxsource(source_tr, qmin, qmax, 'src: avt coarem')
+    ENDIF
+
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_end)
+      dife = clock_end - clock_start
+      ti_inittwrite = dife * MAX(0, SIGN(1, dife))  &
+              + (dife + clock_per_max) * MAX(0, SIGN(1, -dife))
+      tia_inittwrite = tia_inittwrite + REAL(ti_inittwrite) / REAL(clock_rate)
+    ENDIF
+
+
+    !=======================================================================
+    !                     EMISSIONS OF COARSE AEROSOLS
+    !=======================================================================
+
+    IF (logitime) THEN
+      CALL SYSTEM_CLOCK(COUNT = clock_start)
+    ENDIF
+
+    print *, 'Number of tracers = ', nbtr
+
+    print *, 'AT BEGINNING OF PHYTRACR_SPL'
+    !      print *,'tr_seri = ',SUM(tr_seri(:,:,3)),MINVAL(tr_seri(:,:,3)),
+    !     .                                         MAXVAL(tr_seri(:,:,3))
 #ifdef IOPHYS_DUST
       do itr=1,nbtr
